$schema: 'https://json-schema.org/draft/2020-12/schema'

title: Initialize Mainline Workflow
type: object
properties:
  workorder_id:
    $ref: '../ids.json#/definitions/WorkorderId'
  requisition_id:
    $ref: '../ids.json#/definitions/RequisitionId'
  sample_type:
    $ref: '../core.json#/definitions/SampleType'
  requires_clinician_approval:
    type: boolean
  send_kit:
    type: boolean
  re_requisition:
    type: boolean
  product_ids:
    type: array
    items:
      $ref: '../ids.json#/definitions/ProductId'

additionalProperties: false

required:
  - workorder_id
  - requisition_id
  - sample_type
  - requires_clinician_approval
  - send_kit
  - re_requisition
  - product_ids